Chuletillas (y XI) – Resolver dependencias circulares con rpm

chuleta El problema de las dependencias circulares en las distribuciones basadas en rpm es un verdadero coñazo que, por desgracia, se presenta bastante a menudo. Ocurre cuando la desinstalación de la versión antigua de una librería no es posible y bloquea la instalación de una nueva versión y, por tanto, la instalación de los paquetes que la requieren como imprescindible. El último caso que se me ha presentado, y que me ha hecho recordar esto, ha sido con las pruebas de la versión alpha de fedora 11 y concretamente con las liberías glibc. La versión glibc-common-2.9.90-2.i386 me bloqueaba la instalación de glibc-common-2.9.90-8.1.i586 y no me dejaba instalar el compilador gcc que dependía de esta última.

La solución es tan sencilla como instalar el paquete manualmente usando la opción --nodeps. Los paquetes rpm de Fedora están disponibles para su descarga directa y ordenados según la versión de la distribución en estas páginas. En el caso que os cuento, las glibc-common-2.9.90-8.1.i586 están aquí. Una vez descargadas se instalan así:

[root@localhost downloads]# rpm -Uhv glibc-common-2.9.90-8.1.i586 --nodeps

Y listo. Ya puedo seguir con la instalación del gcc para, luego, volver a tener disponible VirtualBox. Pero esto es ya una historia que merece ser contada en otra ocasión 😉

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *